Index: /extensions/Subscribe_to_comments/language/nl_NL/description.txt
===================================================================
--- /extensions/Subscribe_to_comments/language/nl_NL/description.txt	(revision 20434)
+++ /extensions/Subscribe_to_comments/language/nl_NL/description.txt	(revision 20435)
@@ -1,1 +1,1 @@
-Met deze plugin kun je via email commentaar ontvangen.
+Met deze plugin kunt u via email commentaar ontvangen.
Index: /extensions/Subscribe_to_comments/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/nl_NL/plugin.lang.php	(revision 20434)
+++ /extensions/Subscribe_to_comments/language/nl_NL/plugin.lang.php	(revision 20435)
@@ -21,21 +21,21 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Invalid email adress, your are not subscribed to comments.'] = 'Ongeldig emailadres, je bent niet ingeschreven op commentaar.';
-$lang['Notify me of followup comments'] = 'Notificeer mij over opvolgend commentaar';
-$lang['Please check your email inbox to confirm your subscription.'] = 'Bekijk je inbox om je inschrijving te bevestigen.';
+$lang['Invalid email adress, your are not subscribed to comments.'] = 'Ongeldig emailadres, u bent niet geabonneerd op commentaar.';
+$lang['Notify me of followup comments'] = 'Wilt u geïnformeerd worden over opvolgend commentaar ?';
+$lang['Please check your email inbox to confirm your subscription.'] = 'Raadpleeg aub uw inbox om uw abonnement te bevestigen.';
 $lang['Return to item page'] = 'Keer terug naar de itempagina';
-$lang['Subscribe'] = 'Abonneren';
-$lang['Subscriptions of'] = 'Inschrijvingen van';
-$lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Je emailadres is uitgeschreven van het ontvangen van notificaties.';
-$lang['Unsubscribe from all email notifications'] = 'Schrijf uit van alle emailnotificaties';
+$lang['Subscribe'] = 'Abonneer';
+$lang['Subscriptions of'] = 'Abonnementen op';
+$lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Uw email-adres is succesvol uitgeschreven. U zult geen berichten meer ontvangen.';
+$lang['Unsubscribe from all email notifications'] = 'Schrijf uit van alle email-berichten';
 $lang['Unsubscribe'] = 'Uitschrijven';
-$lang['You are not subscribed to any comment.'] = 'Je bent niet ingeschreven voor enig commentaar.';
-$lang['Your subscribtion has been validated, thanks you.'] = 'Je inschrijving is goedgekeurd, dank je.';
+$lang['You are not subscribed to any comment.'] = 'U bent geabonneerd op geen enkel commentaar.';
+$lang['Your subscribtion has been validated, thanks you.'] = 'Uw inschrijving is goedgekeurd, dank u wel.';
 $lang['%s has subscribed to comments on'] = '%s is geabonneerd op commentaar over';
 $lang['Allow users to subscribe to global notifications'] = 'Laat gebruikers zich abonneren op algemene berichten';
-$lang['Already validated.'] = 'Al goedgekeurd';
-$lang['Comments notifications'] = 'Commentaarberichten';
+$lang['Already validated.'] = 'Reeds goedgekeurd';
+$lang['Comments notifications'] = 'Commentaar-berichten';
 $lang['Confirm subscription'] = 'Bevestig abonnement';
-$lang['Confirm your subscribtion to comments'] = 'Bevestig je abonnement op commentaar';
+$lang['Confirm your subscribtion to comments'] = 'Bevestig uw abonnement op commentaar';
 $lang['Followed on'] = 'Gevolgd op';
 $lang['Manage my subscriptions'] = 'Beheer mijn abonnementen';
@@ -43,24 +43,24 @@
 $lang['New subscription on'] = 'Nieuw abonnement op';
 $lang['Not found.'] = 'Niet gevonden.';
-$lang['Notify administrators when a user take a new subscription'] = 'Bericht beheerders indien een gebruiker een nieuw abonnement begint';
+$lang['Notify administrators when a user take a new subscription'] = 'Bericht beheerders indien een gebruiker een nieuw abonnement neemt';
 $lang['Subject'] = 'Onderwerp';
-$lang['Subscribe to comments on'] = 'Abonneer op commentaar over';
-$lang['Subscribe to mail notifications'] = 'Abonneer op mailberichten';
-$lang['To activate, click the confirm button. If you believe this is an error, please just ignore this message.'] = 'Om te activeren klik je de bevestigknop. Indien je denkt dat dit een fout is, negeer dan dit bericht.';
+$lang['Subscribe to comments on'] = 'Abonneer u op commentaar op';
+$lang['Subscribe to mail notifications'] = 'Wilt u een abonnement op algemene email-berichten ?';
+$lang['To activate, click the confirm button. If you believe this is an error, please just ignore this message.'] = 'Om te activeren klik op de de bevestigknop. Indien u denkt dat dit een fout is, negeer dan dit bericht.';
 $lang['Validate'] = 'Bevestigen';
-$lang['Want to edit your notifications options?'] = 'Wil je de opties van de berichten wijzigen?';
-$lang['You are currently subscribed to comments on'] = 'Je bent nu geabonneerd op berichten over';
-$lang['You have been added to the list of subscribers.'] = 'Je bent toegevoegd aan de lijst van abonnees.';
-$lang['You requested to subscribe by email to comments on'] = 'Je verzocht je via email te abonneren op commentaar over';
-$lang['all albums of the gallery'] = 'alle albums in de galerij';
-$lang['all pictures of the album <a href="%s">%s</a>'] = 'alle afbeeldingen van het album <a href="%s">%s</a>';
-$lang['all pictures of the gallery'] = 'alle afbeeldingen van de galerij';
-$lang['all pictures of this album'] = 'alle afbeeldingen van dit album';
-$lang['comments on a picture'] = 'commentaar over de afbeelding';
-$lang['comments on all pictures of an album'] = 'commentaar over alle afbeeldingen van een album';
-$lang['comments on an album'] = 'commentaar over een album';
+$lang['Want to edit your notifications options?'] = 'Wilt u de berichten-opties wijzigen?';
+$lang['You are currently subscribed to comments on'] = 'U bent nu geabonneerd op commentaar op';
+$lang['You have been added to the list of subscribers.'] = 'U bent toegevoegd aan de lijst van abonnees.';
+$lang['You requested to subscribe by email to comments on'] = 'U heeft aangegeven per mail geïnformeerd te willen worden over commentaar op';
+$lang['all albums of the gallery'] = 'Met betrekking tot alle albums in de galerie';
+$lang['all pictures of the album <a href="%s">%s</a>'] = 'Alle afbeeldingen van het album <a href="%s">%s</a>';
+$lang['all pictures of the gallery'] = 'Mbt alle afbeeldingen van de galerie';
+$lang['all pictures of this album'] = 'Mbt alle afbeeldingen van dit album';
+$lang['comments on a picture'] = 'Commentaar op de afbeelding';
+$lang['comments on all pictures of an album'] = 'Commentaar op alle afbeeldingen van een album';
+$lang['comments on an album'] = 'Commentaar op een album';
 $lang['the album <a href="%s">%s</a>'] = 'het album <a href="%s">%s</a>';
 $lang['the picture <a href="%s">%s</a>'] = 'de afbeelding <a href="%s">%s</a>';
-$lang['this album'] = 'dit album';
-$lang['this picture'] = 'deze afbeelding';
+$lang['this album'] = 'Met betrekking tot dit album';
+$lang['this picture'] = 'Mbt deze afbeelding';
 ?>