Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 20533)
+++ /trunk/language/es_ES/admin.lang.php	(revision 20534)
@@ -157,5 +157,5 @@
 $lang['Unable to check for upgrade.'] = 'Imposible conocer la última versión.';
 $lang['Uninstall'] = 'Desinstalar';
-$lang['Use the default photo sort order (defined in the configuration file)'] = 'Utilizar la orden de selección de las fotos por defecto (definido en el fichero de configuración)';
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'Utilizar el orden de selección de las fotos por defecto (definido en el fichero de configuración)';
 $lang['User comments validation'] = 'Validación de los comentarios de usuarios';
 $lang['Users'] = 'Usuarios';
@@ -219,5 +219,5 @@
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Se sobrepasó el tiempo de ejecución. El tratamiento debe continuar [Tiempo estimado: %d segundos].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'El tiempo requerido para procesar la lista de usuarios a quien enviar emails es limitada. No se han podido procesar todos los usuarios.';
-$lang['Time to send mail is limited. Others mails are skipped.'] = 'El tiempo de envío del mails es limitado. Los otros envíos de mail han sido ignorados.';
+$lang['Time to send mail is limited. Others mails are skipped.'] = 'El tiempo de envío de los mails es limitado. Los otros envíos de mails han sido ignorados.';
 $lang['To send ?'] = '¿Enviar?';
 $lang['Last send'] = 'Último envío';
@@ -275,9 +275,9 @@
 $lang['%d users were not updated.'] = '%d ususarios no han sido actualizados.';
 $lang['User %s [%s] was removed from the subscription list.'] = 'El ususario %s [%s] ha sido eliminado de la lista de suscripción.';
-$lang['User %s [%s] was added to the subscription list.'] = 'El ususario %s [%s] ha sido añadido eliminado de la lista de suscripción.';
+$lang['User %s [%s] was added to the subscription list.'] = 'El ususario %s [%s] ha sido añadido a la lista de suscripción.';
 $lang['%d user was updated.'] = '%d ususario ha sido actualizado.';
 $lang['%d users were updated.'] = '%d ususarios han sido actualizados.';
 $lang['User %s [%s] was not removed from the subscription list.'] = 'El ususario %s [%s] no ha sido eliminado de la lista de suscripción.';
-$lang['User %s [%s] was not added to the subscription list.'] = 'El ususario %s [%s] no ha sido añadido eliminado de la lista de suscripción.';
+$lang['User %s [%s] was not added to the subscription list.'] = 'El ususario %s [%s] no ha sido añadido a la lista de suscripción.';
 $lang['User %s [%s] added.'] = 'Se ha añadido al usuario %s [%s].';
 $lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Aviso: Tanto en suscripciones como en bajas se enviará un correo electrónico a los usuarios afectados.';
@@ -305,5 +305,5 @@
 $lang['created'] = 'creado';
 $lang['delete'] = 'eliminar';
-$lang['delete this site and all its attached elements'] = 'Suprimir este sitio y todas la información asociada';
+$lang['delete this site and all its attached elements'] = 'Suprimir este sitio y todas las informaciónes asociadas';
 $lang['an error happened'] = 'Ha habido un error';
 $lang['Local'] = 'Local';
@@ -323,5 +323,5 @@
 $lang['all'] = 'Todas';
 $lang['height must be a number superior to'] = 'La altura debe ser  un entero superior a';
-$lang['width must be a number superior to'] = 'La ancho debe ser un entero superior a';
+$lang['width must be a number superior to'] = 'El ancho debe ser un número superior a';
 $lang['for the file format'] = 'para el formato de archivo';
 $lang['Photo unreachable or no support'] = 'Foto inaccesible o formato no soportado';
@@ -333,5 +333,5 @@
 $lang['for this file format'] = 'para este formato de archivo';
 $lang['unit mode'] = 'modo unitario';
-$lang['Unlocked'] = 'quitado el cierre';
+$lang['Unlocked'] = 'Desbloqueado';
 $lang['unset'] = 'Vaciar';
 $lang['Update albums informations'] = 'Actualizar la información de los álbumes';
@@ -340,5 +340,5 @@
 $lang['reduce to single existing albums'] = 'Traitar solo un àlbum';
 $lang['Choose an option'] = 'Escoger una opción';
-$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'Mostrar toda la información (álbumes añadidos, fotos añadidas, álbumes y fotos borrados)';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'Mostrar toda la información (álbumes añadidos, fotos añadidas, álbumes y fotos borradas)';
 $lang['Error list'] = 'Lista errores';
 $lang['Errors caption'] = 'Leyenda de los errores';
@@ -449,5 +449,5 @@
 $lang['Privacy level'] = 'Nivel de privacidad';
 $lang['Level 0'] = '---';
-$lang['Level 1'] = 'Invidados';
+$lang['Level 1'] = 'Invitados';
 $lang['Level 2'] = 'Amigos';
 $lang['Level 4'] = 'Familia';
@@ -595,9 +595,9 @@
 $lang['Start pLoader and add your photos.'] = 'Iniciar pLoader y añadir fotos.';
 $lang['Switch to clear or dark colors for administration'] = 'Contrasta escogiendo colores claros o oscuros para la sección de administración';
-$lang['Theme has been successfully installed'] = 'El tema ha estado instalado con éxito';
+$lang['Theme has been successfully installed'] = 'El tema ha sido instalado con éxito';
 $lang['Visit Gallery'] = 'Volver a la galería';
 $lang['Visit Piwigo project website'] = 'Visitar el sitio web del proyecto Piwigo';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'PLoader significa <em>Piwigo Uploader</em>. Desde su ordenador, pLoader prepara sus fotos y los traslada hacia su galería foto Piwigo.';
-$lang['Guest Settings'] = 'Ajustes de los invitado';
+$lang['Guest Settings'] = 'Ajustes de los invitados';
 $lang['Main Page'] = 'Página principal';
 $lang['Photo Page'] = 'Página de la foto';
@@ -637,12 +637,12 @@
 $lang['Add Photos'] = 'Añadir fotos';
 $lang['The following tag was deleted'] = 'La siguiente etiqueta ha sido eliminada';
-$lang['There is no other language available.'] = 'No hay otra idiomaa disponible';
-$lang['There is no other plugin available.'] = 'No hay otra plugin disponible';
-$lang['There is no other theme available.'] = 'No hay otra thema disponible';
+$lang['There is no other language available.'] = 'No hay otro idioma disponible';
+$lang['There is no other plugin available.'] = 'No hay otro plugin disponible';
+$lang['There is no other theme available.'] = 'No hay otro thema disponible';
 $lang['By rank'] = 'Por valoración';
 $lang['Manual order'] = 'Orden personalizado';
 $lang['Add another set of photos'] = 'Añadir otro conjunto de fotos';
 $lang['Order of menubar items has been updated successfully.'] = 'El orden de los elementos del menú ha sido actualizado con éxito.';
-$lang['This theme was not designed to be directly activated'] = 'Este tema no es concebido por ser acelerado directamente';
+$lang['This theme was not designed to be directly activated'] = 'Este tema no fue diseñado para ser activado directamente';
 $lang['Who can see this photo?'] = 'Compartir';
 $lang['Pending Comments'] = 'Comentarios en espera de validación';
@@ -726,5 +726,5 @@
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Restablecer la configuración por defecto. Se perderán todos los ajustes personalizados.';
 $lang['Show menubar'] = 'Mostrar barra de menú';
-$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'No se puede definir un orden predeterminado para las fotos porque hay establecida una configuración personalizada en la configuración local de la aplicación.';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'No se puede definir un orden predeterminado para las fotos porque está establecida una configuración personalizada en la configuración local de la aplicación.';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Ha especificado <i>$conf[\'order_by\']</ i> en tu archivo de configuración local. Este parámetro esta obsoleto. Elimínalo o cámbiale el nombre a <i>$conf[\'order_by_custom\']</i>';
 $lang['Updates'] = 'Actualizaciones';
@@ -732,5 +732,5 @@
 $lang['Ignore this update'] = 'Ignorar esta actualización';
 $lang['Reset ignored updates'] = 'Restablecer actualizaciones ignoradas';
-$lang['Update All'] = 'actualizar todo';
+$lang['Update All'] = 'Actualizar todo';
 $lang['ERROR'] = 'ERROR';
 $lang['Update Complete'] = 'Actualización completada';
@@ -750,5 +750,5 @@
 $lang['Dump Database'] = 'Volcar la base de datos';
 $lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Incluir los datos de la historia (Advertencia: el límite de memoria del servidor puede ser superado)';
-$lang['Unable to dump database.'] = 'No es posible volcar la base de datos.';
+$lang['Unable to dump database.'] = 'No es posible vaciar la base de datos.';
 $lang['Some upgrades are available for extensions.'] = 'Hay actualizaciones disponibles para algunas extensiones.';
 $lang['Ignore All'] = 'Ignorar todo';
@@ -947,8 +947,7 @@
 $lang['Please select at least two groups'] = 'Por favor, seleccione por lo menos dos grupos';
 $lang['Rename'] = 'Renombrar';
-$lang['This group will be set to default'] = 'Este grupo se usa de forma predeterminada';
-$lang['This group will be unset to default'] = '
-Este grupo ya no se utiliza por defecto';
-$lang['Type here the name of the new group'] = '
+$lang['This group will be set to default'] = 'Este grupo se usa de forma predeterminado';
+$lang['This group will be unset to default'] = 'Este grupo ya no se utiliza por defecto';
+$lang['Type here the name of the new group'] = 'Escriba aquí el nombre del nuevo grupo';
 Escriba aquí el nombre del nuevo grupo';
 ?>