Index: extensions/PwgCarbon/admin/admin.tpl
===================================================================
--- extensions/PwgCarbon/admin/admin.tpl	(revision 20518)
+++ extensions/PwgCarbon/admin/admin.tpl	(revision 20562)
@@ -43,5 +43,5 @@
   <tr>
     <td align="right">{'Reflexion on thumbmail'|@translate} </td>
-		<td class="check"><input type="checkbox" name="thumbreflex" value="1" {if $selected_thumbreflex=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td>
+		<td class="check"><input type="checkbox" name="thumbreflex" value="1" {if $selected_thumbreflex=='1'}checked="checked"{/if} ></td>
 
   </tr>
@@ -51,5 +51,5 @@
   <tr>
     <td align="right">{'use picture in the theme'|@translate} </td>
-    <td class="check"><input type="checkbox" name="imgtheme" value="1" {if $selected_imgtheme=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td>
+    <td class="check"><input type="checkbox" name="imgtheme" value="1" {if $selected_imgtheme=='1'}checked="checked"{/if} ></td>
   </tr>
 </table>
@@ -58,5 +58,5 @@
   <tr>
     <td align="right">{'Colorus menu'|@translate} </td>
-    <td class="check"><input type="checkbox" name="colormenu" value="1" {if $selected_colormenu=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td>
+    <td class="check"><input type="checkbox" name="colormenu" value="1" {if $selected_colormenu=='1'}checked="checked"{/if} ></td>
   </tr>
 </table>
@@ -65,5 +65,5 @@
   <tr>
     <td align="right">{'Open picture in lighting box'|@translate} </td>
-   <td class="check"><input type="checkbox" name="lytebox" value="1" {if $selected_lytebox=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td>
+   <td class="check"><input type="checkbox" name="lytebox" value="1" {if $selected_lytebox=='1'}checked="checked"{/if} ></td>
   </tr>
 </table>
@@ -102,9 +102,9 @@
 "><img src="themes/PwgCarbon/admin/images/interog.png"/> </a></caption>
 		
-		<tr><td align="right">option 1 </td><td class="check"><input type="radio" name="menuident" value="1" {if $selected_menuident=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
+		<tr><td align="right">option 1 </td><td class="check"><input type="radio" name="menuident" value="1" {if $selected_menuident=='1'}checked="checked"{/if} ></td></tr>
 			
-		<tr><td align="right">option 2 </td><td class="check"><input type="radio" name="menuident" value="2" {if $selected_menuident=='2'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
+		<tr><td align="right">option 2 </td><td class="check"><input type="radio" name="menuident" value="2" {if $selected_menuident=='2'}checked="checked"{/if} ></td></tr>
 		
-		<tr><td align="right">option 3 </td><td class="check"><input type="radio" name="menuident" value="3" {if $selected_menuident=='3'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
+		<tr><td align="right">option 3 </td><td class="check"><input type="radio" name="menuident" value="3" {if $selected_menuident=='3'}checked="checked"{/if} ></td></tr>
 		
 </table>
@@ -130,18 +130,18 @@
 		
 		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg1_admin.png"/></td>
-		<td class="check"><input type="radio" name="bg" value="1" {if $selected_bg=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td>
+		<td class="check"><input type="radio" name="bg" value="1" {if $selected_bg=='1'}checked="checked"{/if} ></td>
 		<td></td>
-		<td class="check"><input type="radio" name="hd" value="1" {if $selected_hd=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td>
+		<td class="check"><input type="radio" name="hd" value="1" {if $selected_hd=='1'}checked="checked"{/if} ></td>
 		</tr>
 			
-		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg2_admin.png"/></td><td class="check"><input type="radio" name="bg" value="2" {if $selected_bg=='2'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td></td><td class="check"><input type="radio" name="hd" value="2" {if $selected_hd=='2'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
+		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg2_admin.png"/></td><td class="check"><input type="radio" name="bg" value="2" {if $selected_bg=='2'}checked="checked"{/if} ></td><td></td><td class="check"><input type="radio" name="hd" value="2" {if $selected_hd=='2'}checked="checked"{/if} ></td></tr>
 		
-		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg3_admin.png"/></td><td class="check"><input type="radio" name="bg" value="3" {if $selected_bg=='3'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td></td><td class="check"><input type="radio" name="hd" value="3" {if $selected_hd=='3'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
+		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg3_admin.png"/></td><td class="check"><input type="radio" name="bg" value="3" {if $selected_bg=='3'}checked="checked"{/if} ></td><td></td><td class="check"><input type="radio" name="hd" value="3" {if $selected_hd=='3'}checked="checked"{/if} ></td></tr>
 		
-		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg4_admin.png"/></td><td class="check"><input type="radio" name="bg" value="4" {if $selected_bg=='4'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td></td><td class="check"><input type="radio" name="hd" value="4" {if $selected_hd=='4'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
+		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg4_admin.png"/></td><td class="check"><input type="radio" name="bg" value="4" {if $selected_bg=='4'}checked="checked"{/if} ></td><td></td><td class="check"><input type="radio" name="hd" value="4" {if $selected_hd=='4'}checked="checked"{/if} ></td></tr>
 		
-		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg5_admin.png"/></td><td class="check"><input type="radio" name="bg" value="5" {if $selected_bg=='5'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td></td><td class="check"><input type="radio" name="hd" value="5" {if $selected_hd=='5'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></tr>
+		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg5_admin.png"/></td><td class="check"><input type="radio" name="bg" value="5" {if $selected_bg=='5'}checked="checked"{/if} ></td><td></td><td class="check"><input type="radio" name="hd" value="5" {if $selected_hd=='5'}checked="checked"{/if} ></tr>
 
-		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg6_admin.png"/></td><td class="check"><input type="radio" name="bg" value="6" {if $selected_bg=='6'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td></td><td class="check"><input type="radio" name="hd" value="6" {if $selected_hd=='6'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>	
+		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/bg6_admin.png"/></td><td class="check"><input type="radio" name="bg" value="6" {if $selected_bg=='6'}checked="checked"{/if} ></td><td></td><td class="check"><input type="radio" name="hd" value="6" {if $selected_hd=='6'}checked="checked"{/if} ></td></tr>	
  </table>
  </div>
@@ -150,7 +150,7 @@
  <table>
 		<tr><th>{'Theme picture'|@translate}</th></tr>
-		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/th_admin1.jpg" width="150"/></td><td class="check"><input type="radio" name="th" value="1" {if $selected_th=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/th_admin2.jpg" width="150"/></td><td class="check"><input type="radio" name="th" value="2" {if $selected_th=='2'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/th_admin3.jpg" width="150"/></td><td class="check"><input type="radio" name="th" value="3" {if $selected_th=='3'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
+		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/th_admin1.jpg" width="150"/></td><td class="check"><input type="radio" name="th" value="1" {if $selected_th=='1'}checked="checked"{/if} ></td></tr>
+		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/th_admin2.jpg" width="150"/></td><td class="check"><input type="radio" name="th" value="2" {if $selected_th=='2'}checked="checked"{/if} ></td></tr>
+		<tr><td class="imag"><img src="themes/PwgCarbon/admin/images/th_admin3.jpg" width="150"/></td><td class="check"><input type="radio" name="th" value="3" {if $selected_th=='3'}checked="checked"{/if} ></td></tr>
 </table>
 </div>		
@@ -160,13 +160,13 @@
 <table>
 	<tr class="ton"><th>{'Color'|@translate}</th><th>{'Background'|@translate}</th><th>{'Theme'|@translate}</th></tr>
-	<tr class="ton"><td class="imag" bgcolor="#fff"><h3 class="ima">{'White'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="6" {if $selected_color_bg=='6'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="6" {if $selected_color_theme=='6'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-	<tr class="ton"></td><td class="imag" bgcolor="#ffd11d"><h3 class="ima">{'Yellow'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="4" {if $selected_color_bg=='4'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="4" {if $selected_color_theme=='4'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-	<tr class="ton"><td class="imag" bgcolor="#ff9900"><h3 class="ima">{'Orange'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="9" {if $selected_color_bg=='9'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="9" {if $selected_color_theme=='9'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-	<tr class="ton"><td class="imag" bgcolor="#a60000"><h3 class="ima">{'Red'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="1" {if $selected_color_bg=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="1" {if $selected_color_theme=='1'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-	<tr class="ton"></td><td class="imag" bgcolor="#7f005d"><h3 class="ima">{'Purple'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="8" {if $selected_color_bg=='8'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="8" {if $selected_color_theme=='8'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-	<tr class="ton"><td class="imag" bgcolor="#15adff"><h3 class="ima">{'Blue'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="3" {if $selected_color_bg=='3'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="3" {if $selected_color_theme=='3'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>	
-	<tr class="ton"><td class="imag" bgcolor="#008500"><h3 class="ima">{'Green'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="2" {if $selected_color_bg=='2'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="2" {if $selected_color_theme=='2'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-	<tr class="ton"></td><td class="imag" bgcolor="#512c06"><h3 class="imanoir">{'Brown'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="7" {if $selected_color_bg=='7'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="7" {if $selected_color_theme=='7'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
-	<tr class="ton"><td class="imag" bgcolor="#000"><h3 class="imanoir">{'Black'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="5" {if $selected_color_bg=='5'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td><td class="check"><input type="radio" name="color_theme" value="5" {if $selected_color_theme=='5'}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"></td></tr>
+	<tr class="ton"><td class="imag" bgcolor="#fff"><h3 class="ima">{'White'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="6" {if $selected_color_bg=='6'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="6" {if $selected_color_theme=='6'}checked="checked"{/if} ></td></tr>
+	<tr class="ton"></td><td class="imag" bgcolor="#ffd11d"><h3 class="ima">{'Yellow'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="4" {if $selected_color_bg=='4'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="4" {if $selected_color_theme=='4'}checked="checked"{/if} ></td></tr>
+	<tr class="ton"><td class="imag" bgcolor="#ff9900"><h3 class="ima">{'Orange'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="9" {if $selected_color_bg=='9'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="9" {if $selected_color_theme=='9'}checked="checked"{/if} ></td></tr>
+	<tr class="ton"><td class="imag" bgcolor="#a60000"><h3 class="ima">{'Red'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="1" {if $selected_color_bg=='1'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="1" {if $selected_color_theme=='1'}checked="checked"{/if} ></td></tr>
+	<tr class="ton"></td><td class="imag" bgcolor="#7f005d"><h3 class="ima">{'Purple'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="8" {if $selected_color_bg=='8'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="8" {if $selected_color_theme=='8'}checked="checked"{/if} ></td></tr>
+	<tr class="ton"><td class="imag" bgcolor="#15adff"><h3 class="ima">{'Blue'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="3" {if $selected_color_bg=='3'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="3" {if $selected_color_theme=='3'}checked="checked"{/if} ></td></tr>	
+	<tr class="ton"><td class="imag" bgcolor="#008500"><h3 class="ima">{'Green'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="2" {if $selected_color_bg=='2'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="2" {if $selected_color_theme=='2'}checked="checked"{/if} ></td></tr>
+	<tr class="ton"></td><td class="imag" bgcolor="#512c06"><h3 class="imanoir">{'Brown'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="7" {if $selected_color_bg=='7'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="7" {if $selected_color_theme=='7'}checked="checked"{/if} ></td></tr>
+	<tr class="ton"><td class="imag" bgcolor="#000"><h3 class="imanoir">{'Black'|@translate}</h3></td><td class="check"><input type="radio" name="color_bg" value="5" {if $selected_color_bg=='5'}checked="checked"{/if} ></td><td class="check"><input type="radio" name="color_theme" value="5" {if $selected_color_theme=='5'}checked="checked"{/if} ></td></tr>
 </table>
 </div>