Index: /extensions/Slim/admin/admin.tpl
===================================================================
--- /extensions/Slim/admin/admin.tpl	(revision 20563)
+++ /extensions/Slim/admin/admin.tpl	(revision 20564)
@@ -1,15 +1,23 @@
 {html_head}
-	<script type="text/javascript" src="themes/default/js/ui/minified/jquery.ui.slider.min.js"></script>
-    <link rel="stylesheet" href="themes/Slim/admin/theme.css" />
+	<script src="themes/Slim/admin/js/jquery.screwdefaultbuttonsV2.min.js" type="text/javascript"></script>
+	<style media="screen" type="text/css">
+		{literal}
+			#opt{width:48%; display:inline-block}
+		{/literal}
+	</style>
 
-<style media="screen" type="text/css">
+	<script type="text/javascript">
 	{literal}
-		H3.ima{	color:#000;	font-size:15px;}	
-		H3.imanoir{	color:#fff; font-size:15px;}
-		tr.ton{	margin:10px;}	
-		td.check{text-align:center;}	
-		td.imag{text-align:right; width:100px; height:25px;	vertical-align:bottom; line-height: 1px;}
+		$(function(){
+		
+			$('input:radio').screwDefaultButtons({
+				image: 'url("themes/Slim/admin/images/radioSmall_Blue.png")',
+				width: 35,
+				height: 35
+			});
+			
+		});
 	{/literal}
-</style>
+	</script>
 {/html_head}
 	
@@ -25,75 +33,26 @@
 
 <fieldset>
-<legend>{'Slim Color'|@translate}</legend>
+<legend>{'Slim'|@translate}</legend>
 
-<div id="option">
-	<div class="switcher">
-	<div class="opt">
-	Slim
-	</div>
-	<div class="opt">
-	Slim_L
-	</div>
-	<div class="opt">
-	Slim_XL
-	</div>
-	
-            <div>
-                <input type="text" class="range min-1 max-3" name="style_slim" value="{$selected_style_slim}" />
-            </div>
-	</div>
-
-	<div class="switcher">
-	<div class="opt">
-	Whith
-	</div>
-	<div class="opt">
-	Black
-	</div>
-	<div class="opt">
-	Grey
-	</div>
-	
-			<div>
-                <input type="text" class="range min-1 max-3" name="color_theme" value="{$selected_color_theme}" />
-            </div>
+<div id="opt">
+<table>
+		<td><u>Style</u></td>
+		<tr><td align="right">Slim</td><td class="check"><input type="radio" name="style_slim" value="1" {if $selected_style_slim=='1'}checked="checked"{/if} ></td></tr>
+			
+		<tr><td align="right">Slim_L</td><td class="check"><input type="radio" name="style_slim" value="2" {if $selected_style_slim=='2'}checked="checked"{/if} ></td></tr>
+		
+		<tr><td align="right">Slim_XL</td><td class="check"><input type="radio" name="style_slim" value="3" {if $selected_style_slim=='3'}checked="checked"{/if} ></td></tr>
+</table>
 </div>
-
-{footer_script}{literal}
-jQuery(function($){
-    
-    $('.range').each(function(){
-       var cls      = $(this).attr('class');  
-       var matches  = cls.split(/([a-zA-Z]+)\-([0-9]+)/g);
-       var elem     = $(this).parent(); 
-       var options  = {}; 
-       var input    = elem.find('input'); 
-       elem.append('<div class="uirange"></div>');
-       
-       for(i in matches){
-           i = i * 1; 
-           if(matches[i] == 'min'){
-               options.min  = matches[i+1]*1;
-           } 
-           if(matches[i] == 'max'){
-               options.max  = matches[i+1]*1;
-           } 
-       }
-       
-       options.slide = function(event, ui){
-           elem.find('label span').empty().append(ui.value);
-           input.val(ui.value);
-       }
-       options.value = input.val(); 
-       options.range = 'min';
-       elem.find('.uirange').slider(options); 
-       
-       elem.find('label span').empty().append(input.val()); 
-       input.hide(); 
-    });
-    
-});
-
-{/literal}{/footer_script}
+<div id="opt">
+<table>
+		<td><u>Color</u></td>
+		<tr><td align="right">White</td><td class="check"><input type="radio" name="color_theme" value="1" {if $selected_color_theme=='1'}checked="checked"{/if} ></td></tr>
+			
+		<tr><td align="right">Black</td><td class="check"><input type="radio" name="color_theme" value="2" {if $selected_color_theme=='2'}checked="checked"{/if} ></td></tr>
+		
+		<tr><td align="right">Grey</td><td class="check"><input type="radio" name="color_theme" value="3" {if $selected_color_theme=='3'}checked="checked"{/if} ></td></tr>
+</table>
+</div>
 
 </fieldset>
Index: /extensions/Slim/admin/js/jquery.screwdefaultbuttonsV2.min.js
===================================================================
--- /extensions/Slim/admin/js/jquery.screwdefaultbuttonsV2.min.js	(revision 20564)
+++ /extensions/Slim/admin/js/jquery.screwdefaultbuttonsV2.min.js	(revision 20564)
@@ -0,0 +1,9 @@
+/*!
+ * ScrewDefaultButtons v2.0.4
+ * http://screwdefaultbuttons.com/
+ *
+ * Licensed under the MIT license.
+ * Copyright 2012 Matt Solano http://mattsolano.com
+ *
+ * Date: Tue October 2 2012 
+ */(function(e,t,n,r){var i={init:function(t){var n=e.extend({image:null,width:50,height:50,disabled:!1},t);return this.each(function(){var t=e(this),r=n.image,i=t.data("sdb-image");i&&(r=i);r||e.error("There is no image assigned for ScrewDefaultButtons");t.wrap("<div >").css({display:"none"});var s=t.attr("class"),o=t.attr("onclick"),u=t.parent("div");u.addClass(s);u.attr("onclick",o);u.css({"background-image":r,width:n.width,height:n.height,cursor:"pointer"});var a=0,f=-n.height;if(t.is(":disabled")){a=-(n.height*2);f=-(n.height*3)}t.on("disableBtn",function(){t.attr("disabled","disabled");a=-(n.height*2);f=-(n.height*3);t.trigger("resetBackground")});t.on("enableBtn",function(){t.removeAttr("disabled");a=0;f=-n.height;t.trigger("resetBackground")});t.on("resetBackground",function(){t.is(":checked")?u.css({backgroundPosition:"0 "+f+"px"}):u.css({backgroundPosition:"0 "+a+"px"})});t.trigger("resetBackground");if(t.is(":checkbox")){u.on("click",function(){t.is(":disabled")||t.change()});u.addClass("styledCheckbox");t.on("change",function(){if(t.prop("checked")){t.prop("checked",!1);u.css({backgroundPosition:"0 "+a+"px"})}else{t.prop("checked",!0);u.css({backgroundPosition:"0 "+f+"px"})}})}else if(t.is(":radio")){u.addClass("styledRadio");var l=t.attr("name");u.on("click",function(){!t.prop("checked")&&!t.is(":disabled")&&t.change()});t.on("change",function(){if(t.prop("checked")){t.prop("checked",!1);u.css({backgroundPosition:"0 "+a+"px"})}else{t.prop("checked",!0);u.css({backgroundPosition:"0 "+f+"px"});var n=e('input[name="'+l+'"]').not(t);n.trigger("radioSwitch")}});t.on("radioSwitch",function(){u.css({backgroundPosition:"0 "+a+"px"})})}if(e.browser.version==7||e.browser.version==8){var c=e(this).attr("id"),h=e('label[for="'+c+'"]');h.on("click",function(){u.trigger("click")})}})},check:function(){return this.each(function(){var t=e(this);i.isChecked(t)||t.change()})},uncheck:function(){return this.each(function(){var t=e(this);i.isChecked(t)&&t.change()})},toggle:function(){return this.each(function(){var t=e(this);t.change()})},disable:function(){return this.each(function(){var t=e(this);t.trigger("disableBtn")})},enable:function(){return this.each(function(){var t=e(this);t.trigger("enableBtn")})},isChecked:function(e){return e.prop("checked")?!0:!1}};e.fn.screwDefaultButtons=function(t,n){if(i[t])return i[t].apply(this,Array.prototype.slice.call(arguments,1));if(typeof t=="object"||!t)return i.init.apply(this,arguments);e.error("Method "+t+" does not exist on jQuery.screwDefaultButtons")};return this})(jQuery);
Index: tensions/Slim/admin/theme.css
===================================================================
--- /extensions/Slim/admin/theme.css	(revision 20563)
+++ 	(revision )
@@ -1,11 +1,0 @@
-.ui-slider{color:#383838;border-radius:8px 8px 8px 8px;position:relative;text-align:left;width:600px;background:none;border:none}
-.ui-slider .ui-slider-handle{border: 1px solid #D7DEF0;background:url("images/bouton_slide.png") repeat-x scroll 50% 50% transparent;font-weight:bold;color:#4C3000;position:absolute;z-index:2;cursor:default;height:28px;width:297px}
-.ui-slider .ui-slider-range{position:absolute;z-index:1;background:none}
-.ui-slider-horizontal{height:30px}
-.ui-slider-horizontal .ui-slider-handle{border-radius:8px}
-.ui-slider-horizontal .ui-slider-range{top:0;height:100%}
-.ui-slider-horizontal .ui-slider-range-min{left:0}
-.ui-slider-horizontal .ui-slider-range-max{right:0}
-.switcher input{display:none}
-.switcher {border:2px inset #EFEFEF;border-radius:8px;background:#EDEDED;height:30px;width:900px;color:#000;position:relative;margin-bottom:40px}
-.opt{float:left;border-right:1px solid #FFF;width:299px;height:30px;text-align:center;font-size:20px}