Index: /extensions/Slimi/admin/admin.tpl
===================================================================
--- /extensions/Slimi/admin/admin.tpl	(revision 20564)
+++ /extensions/Slimi/admin/admin.tpl	(revision 20565)
@@ -2,6 +2,21 @@
 	<script type="text/javascript" src="themes/Slimi/admin/js/farbtastic.js" ></script>
 	<script type="text/javascript" src="themes/default/js/ui/minified/jquery.ui.slider.min.js"></script>
+	<script src="themes/Slimi/admin/js/jquery.screwdefaultbuttonsV2.min.js" type="text/javascript"></script>
 
     <link rel="stylesheet" href="themes/Slimi/admin/theme.css" />
+		<script type="text/javascript">
+	{literal}
+		$(function(){
+		
+			$('input:radio').screwDefaultButtons({
+				image: 'url("themes/Slimi/admin/images/radioSmall_Blue.png")',
+				width: 35,
+				height: 35
+			});
+			
+		});
+	{/literal}
+	</script>
+
 {/html_head}
 	
@@ -16,54 +31,11 @@
 <legend>{'Open picture'|@translate}</legend>
 <div id="option">
-	<div class="switcher">
-		<div class="opt">
-			Lightbox
-		</div>
-		<div class="opt">
-			{'Picture page'|@translate}
-		</div>
-		
-				<div>
-					<input type="text" class="range min-1 max-2" name="lytebox_slimi" value="{$selected_lytebox_slimi}" />
-				</div>
-	</div>
+		<tr><td align="right">Lightbox</td><td class="check"><input type="radio" name="lytebox_slimi" value="1" {if $selected_lytebox_slimi=='1'}checked="checked"{/if} ></td></tr>
+			
+		<tr><td align="right">{'Picture page'|@translate}</td><td class="check"><input type="radio" name="lytebox_slimi" value="2" {if $selected_lytebox_slimi=='2'}checked="checked"{/if} ></td></tr>
+
 </div>
 </fieldset>
-{footer_script}{literal}
-jQuery(function($){
-    
-    $('.range').each(function(){
-       var cls      = $(this).attr('class');  
-       var matches  = cls.split(/([a-zA-Z]+)\-([0-9]+)/g);
-       var elem     = $(this).parent(); 
-       var options  = {}; 
-       var input    = elem.find('input'); 
-       elem.append('<div class="uirange"></div>');
-       
-       for(i in matches){
-           i = i * 1; 
-           if(matches[i] == 'min'){
-               options.min  = matches[i+1]*1;
-           } 
-           if(matches[i] == 'max'){
-               options.max  = matches[i+1]*1;
-           } 
-       }
-       
-       options.slide = function(event, ui){
-           elem.find('label span').empty().append(ui.value);
-           input.val(ui.value);
-       }
-       options.value = input.val(); 
-       options.range = 'min';
-       elem.find('.uirange').slider(options); 
-       
-       elem.find('label span').empty().append(input.val()); 
-       input.hide(); 
-    });
-    
-});
 
-{/literal}{/footer_script}
 
 
Index: /extensions/Slimi/admin/js/jquery.screwdefaultbuttonsV2.min.js
===================================================================
--- /extensions/Slimi/admin/js/jquery.screwdefaultbuttonsV2.min.js	(revision 20565)
+++ /extensions/Slimi/admin/js/jquery.screwdefaultbuttonsV2.min.js	(revision 20565)
@@ -0,0 +1,9 @@
+/*!
+ * ScrewDefaultButtons v2.0.4
+ * http://screwdefaultbuttons.com/
+ *
+ * Licensed under the MIT license.
+ * Copyright 2012 Matt Solano http://mattsolano.com
+ *
+ * Date: Tue October 2 2012 
+ */(function(e,t,n,r){var i={init:function(t){var n=e.extend({image:null,width:50,height:50,disabled:!1},t);return this.each(function(){var t=e(this),r=n.image,i=t.data("sdb-image");i&&(r=i);r||e.error("There is no image assigned for ScrewDefaultButtons");t.wrap("<div >").css({display:"none"});var s=t.attr("class"),o=t.attr("onclick"),u=t.parent("div");u.addClass(s);u.attr("onclick",o);u.css({"background-image":r,width:n.width,height:n.height,cursor:"pointer"});var a=0,f=-n.height;if(t.is(":disabled")){a=-(n.height*2);f=-(n.height*3)}t.on("disableBtn",function(){t.attr("disabled","disabled");a=-(n.height*2);f=-(n.height*3);t.trigger("resetBackground")});t.on("enableBtn",function(){t.removeAttr("disabled");a=0;f=-n.height;t.trigger("resetBackground")});t.on("resetBackground",function(){t.is(":checked")?u.css({backgroundPosition:"0 "+f+"px"}):u.css({backgroundPosition:"0 "+a+"px"})});t.trigger("resetBackground");if(t.is(":checkbox")){u.on("click",function(){t.is(":disabled")||t.change()});u.addClass("styledCheckbox");t.on("change",function(){if(t.prop("checked")){t.prop("checked",!1);u.css({backgroundPosition:"0 "+a+"px"})}else{t.prop("checked",!0);u.css({backgroundPosition:"0 "+f+"px"})}})}else if(t.is(":radio")){u.addClass("styledRadio");var l=t.attr("name");u.on("click",function(){!t.prop("checked")&&!t.is(":disabled")&&t.change()});t.on("change",function(){if(t.prop("checked")){t.prop("checked",!1);u.css({backgroundPosition:"0 "+a+"px"})}else{t.prop("checked",!0);u.css({backgroundPosition:"0 "+f+"px"});var n=e('input[name="'+l+'"]').not(t);n.trigger("radioSwitch")}});t.on("radioSwitch",function(){u.css({backgroundPosition:"0 "+a+"px"})})}if(e.browser.version==7||e.browser.version==8){var c=e(this).attr("id"),h=e('label[for="'+c+'"]');h.on("click",function(){u.trigger("click")})}})},check:function(){return this.each(function(){var t=e(this);i.isChecked(t)||t.change()})},uncheck:function(){return this.each(function(){var t=e(this);i.isChecked(t)&&t.change()})},toggle:function(){return this.each(function(){var t=e(this);t.change()})},disable:function(){return this.each(function(){var t=e(this);t.trigger("disableBtn")})},enable:function(){return this.each(function(){var t=e(this);t.trigger("enableBtn")})},isChecked:function(e){return e.prop("checked")?!0:!1}};e.fn.screwDefaultButtons=function(t,n){if(i[t])return i[t].apply(this,Array.prototype.slice.call(arguments,1));if(typeof t=="object"||!t)return i.init.apply(this,arguments);e.error("Method "+t+" does not exist on jQuery.screwDefaultButtons")};return this})(jQuery);