Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 20569)
+++ /trunk/language/nl_NL/common.lang.php	(revision 20570)
@@ -47,6 +47,6 @@
 $lang['%d hit'] = '%d bezoeker';
 $lang['%d hits'] = '%d bezoekers';
-$lang['%d new photo'] = '%d nieuwe afbeelding';
-$lang['%d new photos'] = '%d nieuwe afbeeldingen';
+$lang['%d new photo'] = '%d nieuwe foto';
+$lang['%d new photos'] = '%d nieuwe foto\'s';
 $lang['%d new user'] = '%d nieuwe gebruiker';
 $lang['%d new users'] = '%d nieuwe gebruikers';
@@ -59,5 +59,5 @@
 $lang['Album'] = 'Album';
 $lang['Close this window'] = 'Sluit dit venster';
-$lang['Complete RSS feed (photos, comments)'] = 'Complete RSS feed (afbeeldingen, commentaren)';
+$lang['Complete RSS feed (photos, comments)'] = 'Complete RSS feed (foto\'s, commentaren)';
 $lang['Confirm Password'] = 'Bevestig wachtwoord';
 $lang['Connection settings'] = 'Verbindings-instellingen';
@@ -84,5 +84,5 @@
 $lang['Help'] = 'Help';
 $lang['Identification'] = 'Identificatie';
-$lang['Photos only RSS feed'] = 'Alleen RSS feed mbt afbeeldingen';
+$lang['Photos only RSS feed'] = 'Alleen RSS feed mbt foto\'s';
 $lang['Keyword'] = 'Sleutelwoord';
 $lang['Links'] = 'Links';
@@ -113,5 +113,5 @@
 $lang['Tag'] = 'Label';
 $lang['Tags'] = 'Labels';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'De RSS feed geeft meldingen als er nieuws is op deze website: nieuwe afbeeldingen, bijgewerkte albums, nieuwe commentaaren. Gebruik hiervoor een RSS-feed lezer.';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'De RSS feed geeft meldingen als er nieuws is op deze website: nieuwe foto\'s, bijgewerkte albums, nieuwe commentaaren. Gebruik hiervoor een RSS-feed lezer.';
 $lang['Unknown feed identifier'] = 'Onbekende feed identifier';
 $lang['User comments'] = 'Gebruikers-commentaar';
@@ -122,5 +122,5 @@
 $lang['About Piwigo'] = 'Over Piwigo';
 $lang['You are not authorized to access the requested page'] = 'U heeft geen rechten voor de opgevraagde pagina';
-$lang['add this photo to your favorites'] = 'Voeg deze afbeelding toe aan uw favorieten';
+$lang['add this photo to your favorites'] = 'Voeg deze foto toe aan uw favorieten';
 $lang['Administration'] = 'Beheer';
 $lang['all'] = 'alle';
@@ -133,8 +133,8 @@
 $lang['posted on %s'] = 'geplaatst op %s';
 $lang['Best rated'] = 'Beste gewaardeerd';
-$lang['display best rated photos'] = 'Weergeven van de hoogst gewaardeerde afbeeldingen';
+$lang['display best rated photos'] = 'Geef de hoogst gewaardeerde foto\'s weer';
 $lang['Calendar'] = 'Kalender';
 $lang['All'] = 'Alle';
-$lang['display each day with photos, month per month'] = 'Weergeven elke dag met afbeelding, maand per maand';
+$lang['display each day with photos, month per month'] = 'Geef elke dag weer met foto\'s, maand voor maand';
 $lang['View'] = 'Bekijk';
 $lang['chronology_monthly_calendar'] = 'Maand-kalender';
@@ -165,5 +165,5 @@
 $lang['day'][6] = 'Zaterdag';
 $lang['Default'] = 'Standaard';
-$lang['delete this photo from your favorites'] = 'Verwijder deze afbeelding van uw favorieten';
+$lang['delete this photo from your favorites'] = 'Verwijder deze foto van uw favorieten';
 $lang['Delete'] = 'Verwijderen';
 $lang['descending'] = 'Aflopend';
@@ -174,5 +174,5 @@
 $lang['excluded'] = 'uitsluiten';
 $lang['Your favorites'] = 'Mijn favorieten';
-$lang['display your favorites photos'] = 'Toon mijn favoriete afbeeldingen';
+$lang['display your favorites photos'] = 'Toon mijn favoriete foto\'s';
 $lang['Favorites'] = 'Favorieten';
 $lang['First'] = 'Eerste';
@@ -198,8 +198,8 @@
 $lang['Logout'] = 'Afmelden';
 $lang['obligatory'] = 'verplicht';
-$lang['display a calendar by creation date'] = 'Toon een kalender met afbeeldingen gesorteerd op aanmaakdatum';
-$lang['display all photos in all sub-albums'] = 'Toon alle afbeeldingen in alle sub-albums';
+$lang['display a calendar by creation date'] = 'Toon een kalender met foto\'s gesorteerd op aanmaakdatum';
+$lang['display all photos in all sub-albums'] = 'Toon alle foto\'s in alle sub-albums';
 $lang['return to normal view mode'] = 'Terug naar de standaardweergave';
-$lang['display a calendar by posted date'] = 'Toon een kalender met afbeeldingen gesorteerd op plaatsingsdatum';
+$lang['display a calendar by posted date'] = 'Toon een kalender met foto\'s gesorteerd op plaatsingsdatum';
 $lang['month'][10] = 'Oktober';
 $lang['month'][11] = 'November';
@@ -215,29 +215,29 @@
 $lang['month'][9] = 'September';
 $lang['Most visited'] = 'Meest bekeken';
-$lang['display most visited photos'] = 'Toon de meest bekeken afbeeldingen';
-$lang['The number of photos per page must be a not null scalar'] = 'Het aantal afbeeldingen per pagina moet een niet-nul geheel getal zijn';
-$lang['Number of photos per page'] = 'Aantal afbeeldingen per pagina';
+$lang['display most visited photos'] = 'Toon de meest bekeken foto\'s';
+$lang['The number of photos per page must be a not null scalar'] = 'Het aantal foto\'s per pagina moet een, niet-nul, geheel getal zijn';
+$lang['Number of photos per page'] = 'Aantal foto\'s per pagina';
 $lang['Unknown identifier'] = 'Onbekend herkenningsteken';
 $lang['New password'] = 'Nieuw wachtwoord';
-$lang['Rate this photo'] = 'Waardeer deze afbeelding';
+$lang['Rate this photo'] = 'Waardeer deze foto';
 $lang['Next'] = 'Volgende';
 $lang['no rate'] = 'geen waardering';
-$lang['Photos posted within the last %d day.'] = 'Toon alleen afbeeldingen geplaatst op de laatste %s dag.';
-$lang['Photos posted within the last %d days.'] = 'Toon alleen afbeeldingen de laatste %s dagen geplaatst.';
+$lang['Photos posted within the last %d day.'] = 'Toon alleen foto\'s geplaatst op de laatste %s dag.';
+$lang['Photos posted within the last %d days.'] = 'Toon alleen foto\'s de laatste %s dagen geplaatst.';
 $lang['password updated'] = 'wachtwoord bijgewerkt';
 $lang['Recent period must be a positive integer value'] = 'Recente periode moet een positieve waarde zijn';
-$lang['photo'] = 'afbeelding';
-$lang['Click on the photo to see it in high definition'] = 'Klik op de afbeelding om het te bekijken in "high Definition" (Origineel) formaat';
+$lang['photo'] = 'foto';
+$lang['Click on the photo to see it in high definition'] = 'Klik op de foto om deze te bekijken in "high Definition" (Origineel) formaat';
 $lang['Show file metadata'] = 'Toon bestands metadata';
 $lang['Powered by'] = 'Powered by';
 $lang['Preferences'] = 'Voorkeuren';
 $lang['Previous'] = 'Vorige';
-$lang['Random photos'] = 'Willekeurige afbeeldingen';
-$lang['display a set of random photos'] = 'Toon een aantal willekeurige afbeeldingen';
+$lang['Random photos'] = 'Willekeurige foto\'s';
+$lang['display a set of random photos'] = 'Toon een aantal willekeurige foto\'s';
 $lang['Recent albums'] = 'Recente albums';
 $lang['display recently updated albums'] = 'Toon de onlangs bijgewerkte albums';
 $lang['Recent period'] = 'Recente periode (aantal dagen)';
-$lang['Recent photos'] = 'Recente afbeeldingen';
-$lang['display most recent photos'] = 'Toon de meest recente afbeeldingen';
+$lang['Recent photos'] = 'Recente foto\'s';
+$lang['display most recent photos'] = 'Toon de meest recente foto\'s';
 $lang['Redirection...'] = 'doorsturen...';
 $lang['Please, enter a login'] = 'Vul uw gebruikersnaam in aub.';
@@ -271,6 +271,6 @@
 $lang['Specials'] = 'Speciaal';
 $lang['SQL queries in'] = 'SQL queries in';
-$lang['display only recently posted photos'] = 'Toon alleen de recent geplaatste afbeeldingen';
-$lang['return to the display of all photos'] = 'Toon alle afbeeldingen';
+$lang['display only recently posted photos'] = 'Toon alleen de recent geplaatste foto\'s';
+$lang['return to the display of all photos'] = 'Toon alle foto\'s';
 $lang['the beginning'] = 'het begin';
 $lang['Interface theme'] = 'Thema';
@@ -308,10 +308,10 @@
 $lang['Yes'] = 'Ja';
 $lang['No'] = 'Nee';
-$lang['%d photo']='%d afbeelding';
-$lang['%d photos']='%d afbeeldingen';
-$lang['%d photo is also linked to current tags'] = '%d afbeelding is ook gelinkt aan het huidige label';
-$lang['%d photos are also linked to current tags'] = '%d afbeeldingen zijn ook gelinkt aan het huidige label';
-$lang['display photos linked to this tag'] = 'Toon de aan dit label gelinkte afbeeldingen';
-$lang['photos posted during the last %d days'] = 'Afbeeldingen de afgelopen %d dagen ontvangen';
+$lang['%d photo'] = '%d foto';
+$lang['%d photos'] = '%d foto\'s';
+$lang['%d photo is also linked to current tags'] = '%d foto is ook gelinkt aan het huidige label';
+$lang['%d photos are also linked to current tags'] = '%d foto\'s zijn ook gelinkt aan het huidige label';
+$lang['display photos linked to this tag'] = 'Toon de aan dit label gelinkte foto\'s';
+$lang['photos posted during the last %d days'] = 'Foto\'s de afgelopen %d dagen ontvangen';
 $lang['Piwigo Help'] = 'Piwigo Help';
 $lang['Are you sure?'] = 'Weet u het zeker?';
@@ -322,5 +322,5 @@
 $lang['cloud'] = 'wolk';
 $lang['Reset to default values'] = 'Reset naar standaardwaarden';
-$lang['delete all photos from your favorites'] = 'verwijder alle afbeeldingen van uw favorieten';
+$lang['delete all photos from your favorites'] = 'verwijder alle foto\'s van uw favorieten';
 $lang['Sent by'] = 'Verstuurd door';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies worden geblokkeerd of worden niet ondersteund door uw browser. Indien u zich wilt aanmelden dient u er voor te zorgen dat het gebruik van cookies mogelijk is.';
@@ -328,9 +328,9 @@
 $lang['(!) This comment requires validation'] = '(!) Dit commentaar moet nog gevalideerd worden';
 $lang['Welcome'] = 'Welkom';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Welkom bij uw Piwigo afbeeldingengalerie!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Welkom bij uw Piwigo foto-galerie!';
 $lang['... or browse your empty gallery'] = '... of blader door uw lege galerie';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... of deactiveer deze boodschap aub, Ik vind mijn weg zelf wel';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, uw Piwigo afbeeldingengalerie is leeg!';
-$lang['I want to add photos'] = 'Ik wil afbeeldingen toevoegen';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, uw Piwigo foto-galerie is leeg!';
+$lang['I want to add photos'] = 'Ik wil foto\'s toevoegen';
 $lang['Manage this user comment: %s'] = 'Valideer het volgende gebruikers-commentaar: %s';
 $lang['This author modified following comment:'] = 'Deze bewerker wijzigde het volgende commentaar:';
@@ -380,5 +380,5 @@
 $lang['Show oldest comments first'] = 'Toon oudste commentaren eerst';
 $lang['Show latest comments first'] = 'Toon nieuwste commentaren eerst';
-$lang['Photo sizes'] = 'Afbeeldingsgroottes';
+$lang['Photo sizes'] = 'Foto-groottes';
 $lang['View in'] = 'Bekijk in';
 $lang['Mobile'] = 'Mobiel';
@@ -394,6 +394,6 @@
 $lang['Numeric identifier, 1 &rarr; 9'] = 'Numerieke aanduiding, 1 &rarr; 9';
 $lang['Numeric identifier, 9 &rarr; 1'] = 'Numerieke aanduiding, 0 &rarr; 1';
-$lang['Photo title, A &rarr; Z'] = 'Afbeeldingtitel, A &rarr; Z';
-$lang['Photo title, Z &rarr; A'] = 'Afbeeldingtitel, Z &rarr; A';
+$lang['Photo title, A &rarr; Z'] = 'Foto-titel, A &rarr; Z';
+$lang['Photo title, Z &rarr; A'] = 'Foto-titel, Z &rarr; A';
 $lang['Rating score, high &rarr; low'] = 'Waardering, hoog &rarr; laag';
 $lang['Rating score, low &rarr; high'] = 'Waardering, laag &rarr; hoog';