Index: extensions/oAuth/admin/providers.php
===================================================================
--- extensions/oAuth/admin/providers.php	(revision 20552)
+++ extensions/oAuth/admin/providers.php	(revision 20620)
@@ -45,4 +45,5 @@
     }
     
+    $data['name'] = $PROVIDERS_CONFIG[$id]['provider_name'];
     $providers[$id] = $data;
   }
Index: extensions/oAuth/admin/template/config.tpl
===================================================================
--- extensions/oAuth/admin/template/config.tpl	(revision 20552)
+++ extensions/oAuth/admin/template/config.tpl	(revision 20620)
@@ -1,3 +1,4 @@
-{combine_css path=$OAUTH_PATH|@cat:"admin/template/style.css"}
+{combine_css path=$OAUTH_PATH|cat:"admin/template/style.css"}
+{combine_css path=$OAUTH_PATH|cat:'template/oauth_sprites.css'}
 
 <div class="titrePage">
@@ -31,21 +32,21 @@
         <input type="radio" name="identification_icon" value="16px" {if $identification_icon=='16px'}checked="checked"{/if}>
         16px
-        <img src="{$OAUTH_PATH}template/icons/16px/facebook.png">
-        <img src="{$OAUTH_PATH}template/icons/16px/google.png">
-        <img src="{$OAUTH_PATH}template/icons/16px/twitter.png">
+        <span class="oauth_16px facebook"></span>
+        <span class="oauth_16px google"></span>
+        <span class="oauth_16px twitter"></span>
       </label>
       <label>
         <input type="radio" name="identification_icon" value="26px" {if $identification_icon=='26px'}checked="checked"{/if}>
         26px
-        <img src="{$OAUTH_PATH}template/icons/26px/facebook.png">
-        <img src="{$OAUTH_PATH}template/icons/26px/google.png">
-        <img src="{$OAUTH_PATH}template/icons/26px/twitter.png">
+        <span class="oauth_26px facebook"></span>
+        <span class="oauth_26px google"></span>
+        <span class="oauth_26px twitter"></span>
       </label>
       <label>
         <input type="radio" name="identification_icon" value="38px" {if $identification_icon=='38px'}checked="checked"{/if}>
         38px
-        <img src="{$OAUTH_PATH}template/icons/38px/facebook.png">
-        <img src="{$OAUTH_PATH}template/icons/38px/google.png">
-        <img src="{$OAUTH_PATH}template/icons/38px/twitter.png">
+        <span class="oauth_38px facebook"></span>
+        <span class="oauth_38px google"></span>
+        <span class="oauth_38px twitter"></span>
       </label>
     </li>
@@ -56,21 +57,21 @@
         <input type="radio" name="menubar_icon" value="16px" {if $menubar_icon=='16px'}checked="checked"{/if}>
         16px
-        <img src="{$OAUTH_PATH}template/icons/16px/facebook.png">
-        <img src="{$OAUTH_PATH}template/icons/16px/google.png">
-        <img src="{$OAUTH_PATH}template/icons/16px/twitter.png">
+        <span class="oauth_16px facebook"></span>
+        <span class="oauth_16px google"></span>
+        <span class="oauth_16px twitter"></span>
       </label>
       <label>
         <input type="radio" name="menubar_icon" value="26px" {if $menubar_icon=='26px'}checked="checked"{/if}>
         26px
-        <img src="{$OAUTH_PATH}template/icons/26px/facebook.png">
-        <img src="{$OAUTH_PATH}template/icons/26px/google.png">
-        <img src="{$OAUTH_PATH}template/icons/26px/twitter.png">
+        <span class="oauth_26px facebook"></span>
+        <span class="oauth_26px google"></span>
+        <span class="oauth_26px twitter"></span>
       </label>
       <label>
         <input type="radio" name="menubar_icon" value="38px" {if $menubar_icon=='38px'}checked="checked"{/if}>
         38px
-        <img src="{$OAUTH_PATH}template/icons/38px/facebook.png">
-        <img src="{$OAUTH_PATH}template/icons/38px/google.png">
-        <img src="{$OAUTH_PATH}template/icons/38px/twitter.png">
+        <span class="oauth_38px facebook"></span>
+        <span class="oauth_38px google"></span>
+        <span class="oauth_38px twitter"></span>
       </label>
     </li>
Index: extensions/oAuth/admin/template/providers.tpl
===================================================================
--- extensions/oAuth/admin/template/providers.tpl	(revision 20552)
+++ extensions/oAuth/admin/template/providers.tpl	(revision 20620)
@@ -1,3 +1,4 @@
-{combine_css path=$OAUTH_PATH|@cat:"admin/template/style.css"}
+{combine_css path=$OAUTH_PATH|cat:"admin/template/style.css"}
+{combine_css path=$OAUTH_PATH|cat:'template/oauth_sprites.css'}
 
 {footer_script}{literal}
@@ -54,5 +55,5 @@
     <table><tr>
       <td>
-        <img src="{$OAUTH_PATH}template/icons/38px/{$p|strtolower}.png">
+        <span class="oauth_38px {$p|strtolower}"></span>
       </td>
       
Index: extensions/oAuth/admin/template/style.css
===================================================================
--- extensions/oAuth/admin/template/style.css	(revision 20552)
+++ extensions/oAuth/admin/template/style.css	(revision 20620)
@@ -51,5 +51,5 @@
     border-radius:2px;
   }
-  .provider img {
+  .provider .oauth_38px {
     margin:5px;
   }
Index: extensions/oAuth/template/identification_common.tpl
===================================================================
--- extensions/oAuth/template/identification_common.tpl	(revision 20552)
+++ extensions/oAuth/template/identification_common.tpl	(revision 20620)
@@ -1,7 +1,9 @@
+{combine_css path=$OAUTH_PATH|cat:'template/oauth_sprites.css'}
+
 {html_style}{literal}
   #openid_form {
     padding:20px;
   }
-  #openid_form h3, #openid_form img {
+  #openid_form h3, #openid_form .oauth_38px {
     display:inline-block;
     vertical-align:middle;
@@ -40,5 +42,5 @@
 // click on a button
 $("a.oauth").click(function() {
-  var idp = $(this).attr('title');
+  var idp = $(this).data('idp');
   
   switch(idp) {
@@ -53,5 +55,5 @@
       
       $("#openid_form").css('background-color', $("#the_page #content").css('background-color'));
-      $("#openid_form img").attr('src', '{$ROOT_URL}{$OAUTH_PATH}template/icons/38px/'+ idp.toLowerCase() +'.png');
+      $("#openid_form .oauth_38px").removeClass().addClass("oauth_38px " + idp.toLowerCase());
       $("#openid_form h3").html(idp);
       $("#openid_form").data('idp', idp);
@@ -107,5 +109,5 @@
   <form id="openid_form" action="">
     <div>
-      <img src="{$ROOT_URL}{$OAUTH_PATH}template/icons/openid_big.png" style="width:38px:height:38px;">
+      <span class="oauth_38px"></span>
       <h3>OpendID</h3>
     </div>
Index: extensions/oAuth/template/identification_menubar.tpl
===================================================================
--- extensions/oAuth/template/identification_menubar.tpl	(revision 20552)
+++ extensions/oAuth/template/identification_menubar.tpl	(revision 20620)
@@ -2,5 +2,5 @@
   {if not $OAUTH_JS_LOADED}
     {assign var=OAUTH_JS_LOADED value=true}
-    {include file=$OAUTH_ABS_PATH|@cat:'template/identification_common.tpl'}
+    {include file=$OAUTH_ABS_PATH|cat:'template/identification_common.tpl'}
   {/if}
   {html_style}{literal}
@@ -19,5 +19,5 @@
       
     {foreach from=$PROVIDERS item=provider key=p}{strip}
-      <a href="#" class="oauth" title="{$p}"><img src="{$ROOT_URL}{$OAUTH_PATH}template/icons/{$oauth.menubar_icon}/{$p|strtolower}.png"></a>
+      <a href="#" class="oauth oauth_{$oauth.menubar_icon} {$p|strtolower}" data-idp="{$p}" title="{$provider.name}"></a>
     {/strip}{/foreach}
     </fieldset>
Index: extensions/oAuth/template/identification_page.tpl
===================================================================
--- extensions/oAuth/template/identification_page.tpl	(revision 20552)
+++ extensions/oAuth/template/identification_page.tpl	(revision 20620)
@@ -1,5 +1,5 @@
 {if not $OAUTH_JS_LOADED}
   {assign var=OAUTH_JS_LOADED value=true}
-  {include file=$OAUTH_ABS_PATH|@cat:'template/identification_common.tpl'}
+  {include file=$OAUTH_ABS_PATH|cat:'template/identification_common.tpl'}
 {/if}
 {html_style}{literal}
@@ -13,5 +13,5 @@
   
 {foreach from=$PROVIDERS item=provider key=p}{strip}
-  <a href="#" class="oauth" title="{$p}"><img src="{$ROOT_URL}{$OAUTH_PATH}template/icons/{$oauth.identification_icon}/{$p|strtolower}.png"></a>
+  <a href="#" class="oauth oauth_{$oauth.identification_icon} {$p|strtolower}" data-idp="{$p}" title="{$provider.name}"></a>
 {/strip}{/foreach}
 </fieldset>
Index: extensions/oAuth/template/oauth_sprites.css
===================================================================
--- extensions/oAuth/template/oauth_sprites.css	(revision 20620)
+++ extensions/oAuth/template/oauth_sprites.css	(revision 20620)
@@ -0,0 +1,53 @@
+.oauth_16px {
+  display:inline-block;
+  background:url('images/icons_16px.png') 16px 0 no-repeat;
+  width:16px;
+  height:16px;
+}
+.oauth_16px.facebook { background-position: 0px 0px; }
+.oauth_16px.flickr { background-position: -16px 0px; }
+.oauth_16px.google { background-position: -32px 0px; }
+.oauth_16px.instagram { background-position: -48px 0px; }
+.oauth_16px.linkedin { background-position: -64px 0px; }
+.oauth_16px.live { background-position: -80px 0px; }
+.oauth_16px.openid { background-position: -96px 0px; }
+.oauth_16px.tumblr { background-position: -112px 0px; }
+.oauth_16px.twitter { background-position: -128px 0px; }
+.oauth_16px.wordpress { background-position: -144px 0px; }
+.oauth_16px.yahoo { background-position: -160px 0px; }
+
+.oauth_26px {
+  display:inline-block;
+  background:url('images/icons_26px.png') 26px 0 no-repeat;
+  width:26px;
+  height:26px;
+}
+.oauth_26px.facebook { background-position: 0px 0px; }
+.oauth_26px.flickr { background-position: -26px 0px; }
+.oauth_26px.google { background-position: -52px 0px; }
+.oauth_26px.instagram { background-position: -78px 0px; }
+.oauth_26px.linkedin { background-position: -104px 0px; }
+.oauth_26px.live { background-position: -130px 0px; }
+.oauth_26px.openid { background-position: -156px 0px; }
+.oauth_26px.tumblr { background-position: -182px 0px; }
+.oauth_26px.twitter { background-position: -208px 0px; }
+.oauth_26px.wordpress { background-position: -234px 0px; }
+.oauth_26px.yahoo { background-position: -260px 0px; }
+
+.oauth_38px {
+  display:inline-block;
+  background:url('images/icons_38px.png') 38px 0 no-repeat;
+  width:38px;
+  height:38px;
+}
+.oauth_38px.facebook { background-position: 0px 0px; }
+.oauth_38px.flickr { background-position: -38px 0px; }
+.oauth_38px.google { background-position: -76px 0px; }
+.oauth_38px.instagram { background-position: -114px 0px; }
+.oauth_38px.linkedin { background-position: -152px 0px; }
+.oauth_38px.live { background-position: -190px 0px; }
+.oauth_38px.openid { background-position: -228px 0px; }
+.oauth_38px.tumblr { background-position: -266px 0px; }
+.oauth_38px.twitter { background-position: -304px 0px; }
+.oauth_38px.wordpress { background-position: -342px 0px; }
+.oauth_38px.yahoo { background-position: -380px 0px; }