Index: extensions/Piwecard/language/it_IT/plugin.lang.php
===================================================================
--- extensions/Piwecard/language/it_IT/plugin.lang.php	(revision 20297)
+++ extensions/Piwecard/language/it_IT/plugin.lang.php	(revision 20635)
@@ -1,4 +1,4 @@
 <?php
-$lang['piwecard_plugin'] = 'Piwecard';
+$lang['piwecard_plugin'] = 'Piwecard Plugin';
 $lang['piwecard_send_stage1'] = 'Passo n°1 : Scrivere il messaggio';
 $lang['piwecard_send_stage2'] = 'Passo n°2 : Modificare le informazioni';
@@ -11,7 +11,7 @@
 $lang['piwecard_sender_email'] = 'Email del mittente';
 $lang['piwecard_recipient_name'] = 'Nome del destinatario';
-$lang['piwecard_recipient_email'] = 'Email del destinatario (dest@dest.com)';
+$lang['piwecard_recipient_email'] = 'Email del destinatario';
 $lang['piwecard_invalid_ecard'] = 'La cartolina Virtuale non è valida o è scaduta';
-$lang['piwecard_publish_footer'] = 'Questa cartolina vi è stata inviata da';
+$lang['piwecard_publish_footer'] = 'Questa e-card vi è stata inviata da';
 $lang['piwecard_configuration'] = 'Configurazione di base';
 $lang['piwecard_days'] = 'giorni';
@@ -60,3 +60,49 @@
 $lang['piwecard_admin_configuration'] = 'Configurazione';
 $lang['piwecard_add_recipient'] = 'Aggiungi un destinatario';
+$lang['piwecard_nb_ecard_valid_total'] = '%d valide e-cards fuori di %d e-cards';
+$lang['piwecard_default_email_message_text'] = 'Ciao %recipientname%! 
+%yourname% ti ha inviato una e-card dal sito web %website%. 
+E\' possibile visualizzare questa e-card al seguente indirizzo web: %ecardurl%.
+Ci vediamo su %website% (%websiteurl%)!
+Il Webmaster';
+$lang['piwecard_default_email_message_html'] = '<p>Ciao %recipientname%!</p>
+<p><b>%yourname%</b> ti ha inviato una e-card dal sito web <a href="%websiteurl%">%website%</a>:</p>
+<p><b>%ecardtitle%</b></p>
+<p><a href="%ecardurl%"><img class="theImage" src="%pictureurl%" /></a><p>
+<p>%pictureinfos%</p><br />
+<p>%ecardmessage%</p>
+<p>E\' inoltre possibile visualizzare l\'e-card <a href="%ecardurl%">al seguente indirizzo web</a>.</p>
+<p>Ci vediamo su <a href="%websiteurl%">%website%</a>!</p>
+<p>Il Webmaster</p>';
+$lang['piwicard_email_reset'] = 'Ripristina * campi con valori predefiniti nella tua lingua';
+$lang['piwecard_website_url'] = 'URL galleria';
+$lang['piwecard_validity_list'] = 'Elenco dei periodi di validità in giorni (0 per un numero illimitato)';
+$lang['piwecard_validity_label'] = 'Periodo di validità';
+$lang['piwecard_validity_default'] = 'Validità predefinita della e-card';
+$lang['piwecard_validity_choice'] = 'Consente all\'utente di scegliere l\'indirizzo e-card validità';
+$lang['piwecard_validity'] = 'Data di validità';
+$lang['piwecard_user_cats_case_sensitive'] = 'Case sensitive (album o un genitore ha lo stesso nome utente)';
+$lang['piwecard_valid'] = 'Valido';
+$lang['piwecard_show_image_infos'] = 'Mostra il titolo e l\'autore dell\'immagine sotto l\'immagine';
+$lang['piwecard_sender_copy'] = 'Invia una copia della e-card al mittente';
+$lang['piwecard_send_mandatory_fields'] = 'Campi obbligatori';
+$lang['piwecard_nb_sender_recipient_total'] = '%d mittenti unici e %d destinatari unici';
+$lang['piwecard_send_link'] = 'Clicca qui per inviare una e-card';
+$lang['piwecard_selected_cats'] = 'Categorie selezionate';
+$lang['piwecard_send'] = 'Invia';
+$lang['piwecard_recipient_names'] = 'Nome(i) destinatario(i)';
+$lang['piwecard_preview'] = 'Anteprima';
+$lang['piwecard_permissions_user_cat'] = 'Invio delle e-cards è consentita solo se l\'album o un genitore ha lo stesso nome dell\'utente o se l\'utente è l\'autore della foto';
+$lang['piwecard_permissions_selected_cats'] = 'Invio di e-cards è autorizzata solo su una selezione di categorie e se le categorie selezionate sono accessibili da parte dell\'utente';
+$lang['piwecard_permissions_groups_users'] = 'Autorizzazioni secondo il gruppo o l\'utente';
+$lang['piwecard_permissions_granted_groups_users'] = 'Assegnare autorizzazioni a gruppi ed utenti';
+$lang['piwecard_permissions_denied_groups_users'] = 'Nega gruppi ed utenti selezionati';
+$lang['piwecard_permissions_cat'] = 'Autorizzazioni a seconda della categoria';
+$lang['piwecard_permissions_all_groups_users'] = 'Tutti gli utenti possono inviare e-cards';
+$lang['piwecard_permissions_all_cats'] = 'L\'invio di e-cards sono autorizzate, tutte le categorie accessibili dall\'utente';
+$lang['piwecard_non_selected_cats'] = 'Categorie non selezionate';
+$lang['piwecard_no_ecard'] = 'No e-card nel database';
+$lang['piwecard_nb_max_recipients'] = 'Numero massimo di destinatari e-card';
+$lang['piwecard_email_message_text'] = 'Messaggio quando il formato e-mail è testo';
+$lang['piwecard_email_message_html'] = 'Messaggio quando il formato e-mail è HTML';
 ?>