Index: /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl	(revision 20640)
+++ /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl	(revision 20641)
@@ -1,4 +1,3 @@
-{html_head}{literal}
-<style type="text/css">
+{html_style}{literal}
 #categoryOrdering li {
   height: 60px;
@@ -8,12 +7,26 @@
   margin-top: 0.5em !important;
 }
-.stuffs_line {
-  margin: 0 10px;
-}
 .MainBlock {
   color: #ff3363;
 }
-</style>
-{/literal}{/html_head}
+.categoryActions {
+  float:right;
+  margin:10px 10px 0 0 !important;
+}
+.categoryActions li {
+  display:inline-block;
+  padding:0 5px;
+  vertical-align:top;
+}
+.moduleDesc {
+  margin-left:30px;
+}
+  .moduleDesc.error {
+    color:red;
+  }
+.albumTitle {
+  margin-left:10px !important;
+}
+{/literal}{/html_style}
 
 {footer_script require='jquery.ui.sortable}
@@ -52,5 +65,5 @@
       {if !empty($module.PATH)}
       <ul class="categoryActions">
-        <li class="stuffs_line">
+        <li>
           {'stuffs_id_ligne'|@translate}&nbsp;
           <select name="id_line[{$module.ID}]">
@@ -58,5 +71,5 @@
           </select>
         </li>
-        <li class="stuffs_line">
+        <li>
           {'stuffs_width'|@translate}&nbsp;
           <input type="text" size="2" maxlength="2" value="{$module.WIDTH}" name="width[{$module.ID}]" > %
@@ -71,22 +84,22 @@
       {/if}
 
-      <p>
-      <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}"/>
-      <strong>{if empty($module.PATH)}<span class="MainBlock">{$module.NAME}</span>{else}<a href="{$module.U_EDIT}">{$module.NAME}</a>{/if}</strong>
-      {if !empty($module.TYPE_NAME)}&nbsp;-  &nbsp;{$module.TYPE_NAME}{/if}
+      <p class="albumTitle">
+        <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}">
+        <strong>{if empty($module.PATH)}<span class="MainBlock">{$module.NAME}</span>{else}<a href="{$module.U_EDIT}">{$module.NAME}</a>{/if}</strong>
+        {if !empty($module.TYPE_NAME)}&nbsp;-&nbsp;{$module.TYPE_NAME}{/if}
       </p>
-
+      
       {if !empty($module.MISSING)}
-        <p style="margin-left: 30px;">{$module.MISSING}</p> 
+        <p class="moduleDesc error">{$module.MISSING}</p> 
       {elseif !empty($module.DESC)}
-        <p style="margin-left: 30px;"><i>{$module.DESC}</i></p>
+        <p class="moduleDesc"><i>{$module.DESC}</i></p>
       {elseif empty($module.PATH)}
-        <p style="margin-left: 30px;"><input name="hidemb" type="checkbox" {if $HIDEMB}checked="checked"{/if}> &nbsp;{'Hide on home page'|@translate}</p>
+        <p class="moduleDesc"><input name="hidemb" type="checkbox" {if $HIDEMB}checked="checked"{/if}> &nbsp;{'Hide on home page'|@translate}</p>
       {/if}
 
       <p class="catPos">
         <label>
-          {'Position'|@translate}
-          <input type="text" size="4" name="position[{$module.ID}]" maxlength="4" value="{$module.POS}" />
+          {'Position'|@translate} :
+          <input type="text" size="4" name="position[{$module.ID}]" maxlength="4" value="{$module.POS}">
         </label>
       </p>
Index: /extensions/PWG_Stuffs/trunk/admin/template/new.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/template/new.tpl	(revision 20640)
+++ /extensions/PWG_Stuffs/trunk/admin/template/new.tpl	(revision 20641)
@@ -11,6 +11,7 @@
     <li>
       <label>
-        <span class="property">{$module.NAME} <span style="font-weight:normal;">: {$module.DESC}</span></span>
+        <span class="property">{$module.NAME}</span>
         <input type="radio" value="{$module.MODULE_PATH}" name="module"/>
+        <span style="font-weight:normal;">{$module.DESC}</span>
       </label>
     </li>