Index: /extensions/user_tags/language/pt_BR/description.txt
===================================================================
--- /extensions/user_tags/language/pt_BR/description.txt	(revision 20652)
+++ /extensions/user_tags/language/pt_BR/description.txt	(revision 20652)
@@ -0,0 +1,1 @@
+Permite que visitantes adicionem etiquetas as fotos.
Index: /extensions/user_tags/language/pt_BR/help/readme.html
===================================================================
--- /extensions/user_tags/language/pt_BR/help/readme.html	(revision 20652)
+++ /extensions/user_tags/language/pt_BR/help/readme.html	(revision 20652)
@@ -0,0 +1,8 @@
+<h2>Documenyação</h2>
+
+<h3>Uso</h3>
+<p>Se um usuário tem permissão de "adição" e se etiquetas (tags) são mostradas na página da foto, ele pode editar as etiquetas relacionadas clicando no ícone "editar".</p>
+
+<h3>Permissões</h3>
+<p>Permissões são associadas ao status dos usuários (convidado, genérico, usuário normal, administrador, webmaster). Usuários podem fazer uma ação (adicionar,apagar), se eles tiverem um status maior que aquele ao qual pertence.</p>
+<p>Usuários podem apagar etiquetas que tenham adicionado antes via formulário mesmo que você não queira que usuários apaguem etiquetas relacionadas.</p>
Index: /extensions/user_tags/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/user_tags/language/pt_BR/plugin.lang.php	(revision 20652)
+++ /extensions/user_tags/language/pt_BR/plugin.lang.php	(revision 20652)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Add permission updated'] = 'Adição de permissão atualizada';
+$lang['Be careful, whatever the configuration value is, new tag can be deleted anyway'] = 'Seja cuidadoso, qualquer que seja o valor da configuração, a nova etiqueta (tag) pode ser apagada';
+$lang['Click to add tags'] = 'Clique para adicionar etiqueta (tag)';
+$lang['Delete permission updated'] = 'Permissão para apagar atualizada';
+$lang['Start to type'] = 'Início para tipo';
+$lang['Tags updated'] = 'Etiquetas atualizadas';
+$lang['That plugin allow visitors to add tags to image.'] = 'Este plugin permite que os visitantes adicionem etiquetas às fotos';
+$lang['Update tags'] = 'Atualiza etiquetas';
+$lang['Who can add tags?'] = 'Quem pode adicionar etiquetas?';
+$lang['Who can delete related tags?'] = 'Quem pode apagar etiquetas relacionadas?';
+$lang['You are not allowed to add nor delete tags'] = 'Você não tem permissão para adicionar ou apagar etiquetas';
+$lang['You are not allowed to add tags'] = 'Você não tem permissão para adicionar etiquetas';
+$lang['You are not allowed to delete tags'] = 'Você não tem permissã para apagar etiquetas';
+$lang['You can choose which users (per status) can add and delete tags.'] = 'Você pode escolher quais usuários (por status) podem adicionar e apagar etiquetas.';
+?>