Index: extensions/Google2Piwigo/language/da_DK/description.txt
===================================================================
--- extensions/Google2Piwigo/language/da_DK/description.txt	(revision 20661)
+++ extensions/Google2Piwigo/language/da_DK/description.txt	(revision 20661)
@@ -0,0 +1,1 @@
+Importer fotografier fra din Google-konto (herunder Picasa Web Albums).
Index: extensions/Google2Piwigo/language/da_DK/help.lang.html
===================================================================
--- extensions/Google2Piwigo/language/da_DK/help.lang.html	(revision 20661)
+++ extensions/Google2Piwigo/language/da_DK/help.lang.html	(revision 20661)
@@ -0,0 +1,6 @@
+<ol>
+<li>Gå til <a href="https://accounts.google.com/ManageDomains">https://accounts.google.com/ManageDomains</a>.</li>
+<li>Skriv dit domænenavn uden underdomænet i feltet (fx: <i>mydomain.com</i>, ikke <i>gallery.mydomain.com</i>) og klik på <b>Add domain</b>.</li>
+<li>Klik på <b>Manage [mydomain.com]</b> og accepter ToS'en.</li>
+<li>Skriv dit domænenavn MED underdomænet (selv hvis det er <i>www</i>) og <i>http://</i>-præfikset i det første felt og gem.</li>
+<ol>
Index: extensions/Google2Piwigo/language/da_DK/plugin.lang.php
===================================================================
--- extensions/Google2Piwigo/language/da_DK/plugin.lang.php	(revision 20661)
+++ extensions/Google2Piwigo/language/da_DK/plugin.lang.php	(revision 20661)
@@ -0,0 +1,44 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Successfully logued to you Google account'] = 'Det lykkedes at logge på din Google-konto';
+$lang['%d albums'] = '%d albummer';
+$lang['%d elements ready for importation'] = '%d elementer klar til import';
+$lang['%d pictures are not displayed because already existing in the database.'] = '%d billeder vises ikke fordi de allerede findes i databasen.';
+$lang['%d pictures imported'] = '%d billeder blev importeret';
+$lang['(%d photos)'] = '(%d fotografier)';
+$lang['API not authenticated'] = 'API ikke autoriseret';
+$lang['Begin transfer'] = 'Begynd overførsl';
+$lang['Fill these fields from Google datas'] = 'Udfyld disse felter fra Google-data';
+$lang['Import all my pictures'] = 'Importer alle mine billeder';
+$lang['Import all photos in this album'] = 'Importer alle fotografier i dette album';
+$lang['Import options'] = 'Importvalgmuligheder';
+$lang['List my albums'] = 'Liste over mine albummer';
+$lang['List pictures of this album'] = 'Liste over billeder i dette album';
+$lang['Logged out'] = 'Logget af';
+$lang['No download method available'] = 'Ingen downloadmetode er tilgængelig';
+$lang['One picture is not displayed because already existing in the database.'] = 'Et billede vises ikke fordi det allerede findes i databasen';
+$lang['Open Google page in a new tab'] = 'Åbn Google-side i et nyt faneblad';
+$lang['Photo "%s" imported'] = 'Fotografieret "%s" blev importeret';
+$lang['Processing...'] = 'Behandler ...';
+$lang['Reproduce Google albums'] = 'Reproducer Google-albummer';
+?>