Index: extensions/ColorStat/language/pl_PL/description.txt
===================================================================
--- extensions/ColorStat/language/pl_PL/description.txt	(revision 20672)
+++ extensions/ColorStat/language/pl_PL/description.txt	(revision 20672)
@@ -0,0 +1,1 @@
+Analiza statystyczna koloru
Index: extensions/ColorStat/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/ColorStat/language/pl_PL/plugin.lang.php	(revision 20672)
+++ extensions/ColorStat/language/pl_PL/plugin.lang.php	(revision 20672)
@@ -0,0 +1,73 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['cstat_save_config'] = 'Konfiguracja jest zapisana';
+$lang['cstat_surface'] = 'powierzchnia';
+$lang['cstat_update_color_database'] = 'Aktualizuj repozytorium kolorów';
+$lang['cstat_updating_database'] = 'Aktualizuj repozytorium';
+$lang['cstat_choose_colors'] = 'Panel kolorów';
+$lang['cstat_gallery_integration'] = 'Integracja galerii';
+$lang['cstat_install'] = 'Instalacja';
+$lang['cstat_color_size'] = 'Wymiary';
+$lang['cstat_large_colortable'] = 'Rozszerzony zasięg';
+$lang['cstat_loading'] = 'Wczytywanie...';
+$lang['cstat_numberOfAnalyzedPictures'] = '%d obrazów zostało zanalizowanych';
+$lang['cstat_numberOfNotAnalyzedPictures'] = '%d obrazów nie zostało zanalizowanych';
+$lang['cstat_numberOfPicturesInError'] = '%d obrazów nie mogło zostać zanalizowanych (błąd przetwarzania)';
+$lang['cstat_ok'] = 'OK';
+$lang['cstat_operator_and'] = 'Wszystkie wybrane kolory muszą wystąpić w obrazach';
+$lang['cstat_operator_not'] = 'Żaden z wybranych kolorów nie może wystąpić w obrazie';
+$lang['cstat_operator_or'] = 'Przynajmniej jeden wybrany kolor musi wystąpić w obrazach';
+$lang['cstat_estimated_time_all_pictures'] = 'Oszacowany czas dla wszystkich obrazów';
+$lang['cstat_estimated_time_one_picture'] = 'Oszacowany czas dla obrazu';
+$lang['cstat_gpc_not_up_to_date'] = 'Wymagana jest wtyczka <i>Grum Plugin Classes</i> w wersji %s.
+Obecnie zainstalowana jest wersja % : Zaktualizuj wtyczkę <i>Grum Plugin Classes</i>.';
+$lang['cstat_analyze'] = 'Analiza';
+$lang['cstat_colors'] = 'Kolory';
+$lang['cstat_config'] = 'Konfiguracja';
+$lang['cstat_config_plugin'] = 'Konfigurowanie wtyczki';
+$lang['cstat_database'] = 'Repozytorium';
+$lang['cstat_display_colors_on_image'] = 'Pokaż kolory powiązane z obrazem';
+$lang['cstat_quality_high'] = 'Wysoka';
+$lang['cstat_quality_highest'] = 'Bardzo wysoka';
+$lang['cstat_quality_level'] = 'Jakość';
+$lang['cstat_quality_low'] = 'Niska';
+$lang['cstat_quality_lowest'] = 'Bardzo niska';
+$lang['cstat_quality_normal'] = 'Normalna';
+$lang['cstat_quality_of_analyze'] = 'Analiza jakości';
+$lang['cstat_search'] = 'Szukaj';
+$lang['cstat_search_by_color'] = 'Szukaj wg koloru';
+$lang['cstat_stat'] = 'Statystyki';
+$lang['cstat_stat_and_search'] = 'Statystyki & Badania';
+$lang['cstat_statistics'] = 'Analiza satystyczna';
+$lang['cstat_validate'] = 'Wyślij';
+$lang['cstat_warning_on_analyze_0'] = 'Ostrzeżenie!';
+$lang['Grum Plugin Classes is not installed'] = 'Wtyczka <b>Grum Plugin Classes</b> nie jest zainstalowana';
+$lang['cstat_NumOfImages'] = 'Liczba obrazów';
+$lang['cstat_NumOfPixels'] = 'Liczba pikseli';
+$lang['cstat_Pct'] = '%';
+$lang['cstat_analyze_in_progress'] = 'Trwa analiza...';
+$lang['cstat_analyze_is_finished'] = 'Analiza zakończona';
+$lang['cstat_apply'] = 'Zastosuj';
+$lang['cstat_choosen_colors'] = 'Wybrane kolory';
+$lang['cstat_color'] = 'Kolor';
+?>