Index: /extensions/Psli_BingMaps/language/pl_PL/description.txt
===================================================================
--- /extensions/Psli_BingMaps/language/pl_PL/description.txt	(revision 20696)
+++ /extensions/Psli_BingMaps/language/pl_PL/description.txt	(revision 20696)
@@ -0,0 +1,1 @@
+Określ współrzędne dla każdej kategorii (jako konkretna lokacja lub obszar geograficzny) i pokaż je na mapie binga.
Index: /extensions/Psli_BingMaps/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/Psli_BingMaps/language/pl_PL/plugin.lang.php	(revision 20696)
+++ /extensions/Psli_BingMaps/language/pl_PL/plugin.lang.php	(revision 20696)
@@ -0,0 +1,127 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['No selected entity'] = 'Brak przypisanego bytu';
+$lang['Action Album'] = 'Akcja albumu';
+$lang['Action Picture'] = 'Akcja obrazu';
+$lang['Action Zoom'] = 'Akcja zbliżenia';
+$lang['Click to show pictures of'] = 'Kliknij, aby pokazać obrazy';
+$lang['Entity field'] = 'Pole bytu';
+$lang['New Entity'] = 'Nowy byt';
+$lang['Not assign to a category'] = 'Brak powiązania z kategorią';
+$lang['Center Latittude'] = 'Szerokość środka';
+$lang['Center Longitude'] = 'Długość środka';
+$lang['No exif in pictures for this category'] = 'Brak danych exif w obrazach w tej kategorii';
+$lang['Zone Title'] = 'Tytuł obszaru';
+$lang['Zone mode'] = 'Tryb obszaru';
+$lang['Batch association'] = 'Powiązanie wsadowe';
+$lang['No selected map'] = 'Mapa nieokreślona';
+$lang['Category not selected'] = 'Kategoria nieokreślona';
+$lang['Click to zoom on'] = 'Kliknij, aby zbliżyć na';
+$lang['Exif import'] = 'Import exif';
+$lang['Show guest view'] = 'Pokaż widok gościa';
+$lang['Bing Maps Key'] = 'Klucz map Binga';
+$lang['fifth step : check association with your maps'] = 'Piąty krok: sprawdź powiązania z mapami';
+$lang['Zoom level 14'] = 'Zbliżenie na poziom 14';
+$lang['Zoom level 15'] = 'Zbliżenie na poziom 15';
+$lang['Zoom level 16'] = 'Zbliżenie na poziom 16';
+$lang['Zoom level 17'] = 'Zbliżenie na poziom 17';
+$lang['Zoom level 18'] = 'Zbliżenie na poziom 18';
+$lang['Zoom level 19'] = 'Zbliżenie na poziom 19';
+$lang['Zoom level 2'] = 'Zbliżenie na poziom 2';
+$lang['Zoom level 20'] = 'Zbliżenie na poziom 20';
+$lang['Zoom level 3'] = 'Zbliżenie na poziom 3';
+$lang['Zoom level 4'] = 'Zbliżenie na poziom 4';
+$lang['Zoom level 5'] = 'Zbliżenie na poziom 5';
+$lang['Zoom level 6'] = 'Zbliżenie na poziom 6';
+$lang['Zoom level 7'] = 'Zbliżenie na poziom 7';
+$lang['Zoom level 8'] = 'Zbliżenie na poziom 8';
+$lang['Zoom level 9'] = 'Zbliżenie na poziom 9';
+$lang['Zoom maximum'] = 'Zbliżenie maksymalne';
+$lang['Zoom minimum'] = 'Zbliżenie minimalne';
+$lang['Reload saved zone'] = 'Wczytaj ponownie zapisany obszar';
+$lang['Modified pictures'] = 'Zmodyfikowane obrazy';
+$lang['Select a Category'] = 'Wybierz kategorię';
+$lang['Select a Map'] = 'Wybierz mapę';
+$lang['Select a picture'] = 'Wybierz obraz';
+$lang['first step : create map'] = 'Krok pierwszy: stwórz mapę';
+$lang['fourth step : make modification to pin associated to your pictures'] = 'Krok czwarty: dostosuj szpilkę przypisaną do obrazów';
+$lang['last step : Enjoy !'] = 'Ostatni krok: Ciesz się!';
+$lang['pictures'] = 'obrazy';
+$lang['second step : import exif data from your pictures'] = 'Drugi krok: zaimportuj dane exif z obrazów';
+$lang['third step : create new zone and new pin'] = 'Trzeci krok: stwórz nowy obszar i szpilkę';
+$lang['Picture Title'] = 'Tytuł obrazu';
+$lang['Picture mode'] = 'Tryb obrazu';
+$lang['Pin'] = 'Szpilka';
+$lang['Pin Title'] = 'Tytuł szpilki';
+$lang['Pin mode'] = 'Tryb szpilki';
+$lang['Open this map'] = 'Otwórz tę mapę';
+$lang['Open this picture'] = 'Otwórz ten obraz';
+$lang['Open this pin'] = 'Otwórz tę szpilkę';
+$lang['Open this zone'] = 'Otwórz ten obszar';
+$lang['Picture'] = 'Obraz';
+$lang['New Pin'] = 'Nowa szpilka';
+$lang['New Zone'] = 'Nowy obszar';
+$lang['Open Category'] = 'Otwórz kategorię';
+$lang['Open Picture'] = 'Otwórz obraz';
+$lang['Open this category'] = 'Otwórz tę kategorię';
+$lang['Associated map'] = 'Powiązana mapa';
+$lang['Latitude'] = 'Szerokość';
+$lang['Longitude'] = 'Długość';
+$lang['Map Title'] = 'Tytuł mapy';
+$lang['Map mode'] = 'Tryb mapy';
+$lang['New Map'] = 'Nowa map';
+$lang['New Picture'] = 'Nowy obraz';
+$lang['Action'] = 'Akcja';
+$lang['Click to show picture'] = 'Kliknij, aby wyświetlić obraz';
+$lang['Create a zone'] = 'Stwórz obszar';
+$lang['Delete all points'] = 'Usuń wszystkie punkty';
+$lang['Delete last point'] = 'Usuń ostatni punkt';
+$lang['Delete this map'] = 'Usuń tę mapę';
+$lang['Delete this picture'] = 'Usuń ten obraz';
+$lang['Delete this pin'] = 'Usuń tę szpilkę';
+$lang['Delete this zone'] = 'Usuń ten obszar';
+$lang['Added pictures'] = 'Dodaj obrazy';
+$lang['Category'] = 'Kategoria';
+$lang['Change Zoom Level'] = 'Zmień poziom zbliżenia';
+$lang['Configuration'] = 'Konfiguracja';
+$lang['Configuration mode'] = 'Tryb konfiguracji';
+$lang['Create a map'] = 'Stwórz mapę';
+$lang['Create a pin'] = 'Stwórz szpilkę';
+$lang['Select a pin'] = 'Wybierz szpilkę';
+$lang['Select a zone'] = 'Wybierz obszar';
+$lang['Set'] = 'Ustaw';
+$lang['Show map center'] = 'Pokaż środek mapy';
+$lang['User manual'] = 'Podręcznik użytkownika';
+$lang['You need to select a category'] = 'Musisz wybrać kategorię';
+$lang['You need to select a map'] = 'Musisz wybrać mapę';
+$lang['You need to select a picture'] = 'Musisz wybrać obraz';
+$lang['You need to select a pin'] = 'Musisz wybrać szpilkę';
+$lang['You need to select a zone'] = 'Musisz wybrać obszar';
+$lang['Zone'] = 'Obszar';
+$lang['Zoom'] = 'Zbliżenie';
+$lang['Zoom level 1'] = 'Zbliżenie na poziom 1';
+$lang['Zoom level 10'] = 'Zbliżenie na poziom 10';
+$lang['Zoom level 11'] = 'Zbliżenie na poziom 11';
+$lang['Zoom level 12'] = 'Zbliżenie na poziom 12';
+$lang['Zoom level 13'] = 'Zbliżenie na poziom 13';
+?>